﻿@charset "utf-8";

/*==================================================
  クリッカブルマップ / エリア選択BOX
==================================================*/
/*MAP*/
#svgMap_border,
#other_border {
  pointer-events: none;
}

#svgMap_area .map-area {
  pointer-events: auto;
  cursor: pointer;
}

.map-search {
  position: relative;
}

.map-search::before {
  content: "SEARCH";
  color: #EEE;
  font-family: var(--font-en);
  font-weight: 700;
  font-size: clamp(40px, 8vw, 90px);
  line-height: 1;
  position: absolute;
  top: calc(-1em + 15px);
  left: 66%;
}

.map-search__visual {
  width: min(100%, 1440px);
  height: 700px;
  margin: 0 auto;
  border-radius: var(--rad-common);
  overflow: hidden;
  position: relative;
}

.map-search__visual svg.svgMap {
  height: 700px;
  width: auto;
}

.map-search__panel {
  width: 50%;
  max-width: 800px;
  position: absolute;
  top: calc(2 * var(--gutter));
  left: 48%;
}

.map-search__panel__balloon {
  background: var(--color-main);
  color: #fff;
  width: 160px;
  aspect-ratio: 1;
  border-radius: var(--rad-full);
  z-index: 3;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  padding: 20px;
  position: absolute;
  right: 10px;
  top: -80px;
}

.map-search__panel__balloon::before {
  content: '';
  display: block;
  width: 3rem;
  height: 2rem;
  background: var(--color-main);
  clip-path: polygon(0 0, 100% 0, 50% 100%);
  position: absolute;
  bottom: -.5rem;
  left: 20%;
  transform: rotate(35deg) translateX(-50%);
}

/* クリッカブルマップ SVG */
.cls-1 {
  stroke-dasharray: 1.96 1.96;
}

.cls-1,
.cls-2,
.cls-3,
.cls-4,
.cls-5,
.cls-6,
.cls-7,
.cls-8,
.cls-9,
.cls-10,
.cls-11,
.cls-12,
.cls-13,
.cls-14,
.cls-15,
.cls-16,
.cls-17,
.cls-18,
.cls-19,
.cls-20,
.cls-21,
.cls-22,
.cls-23,
.cls-24,
.cls-25,
.cls-26,
.cls-27,
.cls-28,
.cls-29,
.cls-30 {
  fill: none;
}

.cls-1,
.cls-2,
.cls-3,
.cls-4,
.cls-5,
.cls-6,
.cls-7,
.cls-8,
.cls-9,
.cls-10,
.cls-11,
.cls-12,
.cls-13,
.cls-15,
.cls-16,
.cls-17,
.cls-18,
.cls-19,
.cls-20,
.cls-21,
.cls-22,
.cls-23,
.cls-24,
.cls-25,
.cls-26,
.cls-27,
.cls-28,
.cls-29 {
  stroke-linejoin: round;
}

.cls-1,
.cls-2,
.cls-3,
.cls-4,
.cls-5,
.cls-6,
.cls-7,
.cls-8,
.cls-10,
.cls-11,
.cls-12,
.cls-13,
.cls-14,
.cls-15,
.cls-16,
.cls-17,
.cls-18,
.cls-19,
.cls-20,
.cls-21,
.cls-22,
.cls-23,
.cls-24,
.cls-26,
.cls-27,
.cls-28,
.cls-29,
.cls-30 {
  stroke: #f5f5f5;
}

.cls-1,
.cls-2,
.cls-3,
.cls-4,
.cls-5,
.cls-6,
.cls-7,
.cls-8,
.cls-10,
.cls-11,
.cls-12,
.cls-13,
.cls-15,
.cls-16,
.cls-17,
.cls-18,
.cls-19,
.cls-20,
.cls-21,
.cls-22,
.cls-23,
.cls-24,
.cls-25,
.cls-26,
.cls-27,
.cls-28,
.cls-29 {
  stroke-linecap: round;
}

.cls-2 {
  stroke-dasharray: 2.02 2.02;
}

.cls-3 {
  stroke-dasharray: 2.04 2.04;
}

.cls-4 {
  stroke-dasharray: 2 2;
}

.cls-31 {
  fill: #e6f7ff;
}

.cls-5 {
  stroke-dasharray: 1.97 1.97;
}

.cls-6 {
  stroke-dasharray: 2.1 2.1;
}

.cls-7 {
  stroke-dasharray: 2.02 2.02;
}

.cls-8 {
  stroke-dasharray: 2.02 2.02;
}

/*取り扱いエリア*/
.cls-9 {
  stroke: #29662e;
  stroke-width: 2px;
}

.cls-32 {
  fill: #7eba85;
  transition: .3s;
}

.cls-32.is-active {
  opacity: 1;
  fill: #30903A;
}

.cls-32.is-hover {
  fill: var(--color-yellow);
}

.cls-10 {
  stroke-dasharray: 2 2;
}

.cls-11 {
  stroke-dasharray: 2.03 2.03;
}

.cls-12 {
  stroke-dasharray: 1.93 1.93;
}

.cls-13 {
  stroke-dasharray: 2.21 2.21;
}

.cls-14 {
  stroke-dasharray: 1.98 1.98;
}

.cls-14,
.cls-30 {
  stroke-miterlimit: 10;
}

.cls-15 {
  stroke-dasharray: 2.04 2.04;
}

.cls-16 {
  stroke-dasharray: 2.03 2.03;
}

.cls-18 {
  stroke-dasharray: 1.98 1.98;
}

.cls-19 {
  stroke-dasharray: 2 2;
}

.cls-20 {
  stroke-dasharray: 1.95 1.95;
}

.cls-21 {
  stroke-dasharray: 2.05 2.05;
}

.cls-22 {
  stroke-dasharray: 2 2;
}

.cls-23 {
  stroke-dasharray: 2.03 2.03;
}

.cls-24 {
  stroke-dasharray: 2 2;
}

.cls-33 {
  fill: #eee;
}

.cls-25 {
  stroke: #fff;
}

.cls-26 {
  stroke-dasharray: 2.06 2.06;
}

.cls-27 {
  stroke-dasharray: 2 2;
}

.cls-28 {
  stroke-dasharray: 1.99 1.99;
}

.cls-29 {
  stroke-dasharray: 2.05 2.05;
}


.svgMap__link path {
  transition: fill .3s;
}

@media (any-hover:hover) {
  .svgMap__link:hover {
    opacity: 1;
  }

  .svgMap__link:hover path {
    fill: var(--color-yellow);
  }
}

/* クリッカブルマップ エリアボタン */
.map-search__label {
  background: #fff;
  border-radius: 100vh;
  font-size: 1.3rem;
  position: absolute;
  white-space: nowrap;
  transition: .3s;
  padding: 3px 10px;
  text-align: center;
}

.map-search__label.is-hover,
.map-search__label.is-active {
  opacity: 1;
  color: #fff;
  background: var(--color-black);
}

.map-search__label.is-hover {
  color: var(--color-yellow);
}

/*クリッカブルマップ上　エリア名*/
.map-search__labels {
  position: absolute;
  top: 0;
  left: 0;
}

/* クリッカブルマップ エリアボタン　位置 */
/*札幌市中央区*/
.map-search__label.c-01101 {
  top: 390px;
  left: 320px;
}

/*札幌市北区*/
.map-search__label.c-01102 {
  top: 270px;
  left: 380px;
}

/*札幌市東区*/
.map-search__label.c-01103 {
  top: 310px;
  left: 420px;
}

/*札幌市白石区*/
.map-search__label.c-01104 {
  top: 350px;
  left: 420px;
}

/*札幌市豊平区*/
.map-search__label.c-01105 {
  top: 415px;
  left: 410px;
}

/*札幌市南区*/
.map-search__label.c-01106 {
  top: 440px;
  left: 250px;
}

/*札幌市西区*/
.map-search__label.c-01107 {
  top: 360px;
  left: 280px;
}

/*札幌市厚別区*/
.map-search__label.c-01108 {
  top: 380px;
  left: 470px;
}

/*札幌市手稲区*/
.map-search__label.c-01109 {
  top: 300px;
  left: 290px;
}

/*札幌市清田区*/
.map-search__label.c-01110 {
  top: 470px;
  left: 440px;
}

/*小樽市*/
.map-search__label.c-01203 {
  top: 280px;
  left: 190px;
}

/*江別市*/
.map-search__label.c-01217 {
  top: 300px;
  left: 515px;
}

/*北広島市*/
.map-search__label.c-01234 {
  top: 450px;
  left: 520px;
}

/*石狩市*/
.map-search__label.c-01235 {
  top: 235px;
  left: 355px;
}

/*エリアパネル*/
.map-search__panel__inner {
  background: #fff;
  padding: 2rem 3rem;
  border: 1px solid var(--color-gray);
  border-radius: 1rem;
  display: flex;
  align-items: center;
  position: relative;
  margin-bottom: 10px;
}

.map-search__panel__inner::after {
  content: "";
  display: block;
  width: 40%;
  height: 10px;
  border-left: 10px solid;
  border-right: 10px solid;
  position: absolute;
  left: 50%;
  bottom: -10px;
  transform: translateX(-50%);
}

.map-search__panel__head {
  width: 6em;
  margin-right: 1em;
  flex-shrink: 0;
  font-weight: var(--font-bold);
  text-align: center;
}

.map-search__panel__head--num {
  display: block;
  text-align: center;
  color: var(--color-main);
  font-size: var(--font-xxlarge);
  font-family: var(--font-en);
  line-height: 1;
}

.map-search__tabList,
.map-search__btnList {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  gap: 10px;
}

.map-search__panel__btn {
  background: #fff;
  border: 1px solid var(--color-gray);
  border-radius: 100vh;
  padding: .5em 1em;
  transition: .3s;
  text-align: center;
}

.map-search__tabList .map-search__panel__btn {
  min-width: 9em;
}

.map-search__btnList .map-search__panel__btn {
  width: calc((100% - 30px) / 4);
  min-width: 8.5em;
}

.map-search__panel__btn.is-hover,
.map-search__panel__btn.is-active {
  opacity: 1;
  color: #fff;
  border-color: var(--color-black);
  background: var(--color-black);
}

@media (any-hover:hover) {
  .map-search__panel__btn.is-hover {
    opacity: 1;
    color: var(--color-yellow);
  }
}

.map-search__resultBox {
  background: var(--color-main);
  color: #fff;
  border-radius: 1rem;
  text-align: center;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 2rem;
}

.map-search__result__txt {
  width: 60%;
  margin-inline: 1em;
  font-size: var(--font-medium);
  font-weight: var(--font-bold);
}

.map-search__result__num {
  font-family: var(--font-en);
  font-size: var(--font-xxlarge);
  margin-inline: 5px;
}

.map-search__result__btn {
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  gap: 5px;
  background: #fff;
  color: var(--color-main);
  border-radius: var(--rad-button);
  padding: 1rem 4rem 1rem 3rem;
  transition: .3s;
  min-width: 6em;
  white-space: nowrap;
  font-weight: var(--font-bold);
  position: relative;
}

.map-search__result__btn::before {
  content: "";
  display: inline-block;
  vertical-align: middle;
  width: 1.2em;
  height: 1.2em;
  background: url(../img/common/icon_search_main_01.svg) no-repeat center top / contain;
  flex-shrink: 0;
}

.map-search__result__btn::after {
  display: block;
  position: absolute;
  content: '';
  width: .5em;
  height: .5em;
  border-top: 1px solid;
  border-right: 1px solid;
  top: 50%;
  right: 1.2em;
  transform: rotate(45deg) translateY(-50%);
}


/*==================================================
  tablet SETTINGS : Min768px Max1000px
==================================================*/
@media screen and (min-width: 768px) and (max-width: 1200px) {

  .map-search__visual {
    width: 700px !important;
    height: 700px !important;

  }

  .map-search__panel {
    width: 96%;
    margin: -20% auto var(--gutter-wide);
    position: relative;
    left: auto;
  }

}


/*==================================================
  SP SETTINGS : Max767px
==================================================*/
@media screen and (max-width: 767px) {

  .map-search::before {
    content: none;
  }

  .map-search__visualWrap {
    width: 100%;
    aspect-ratio: 1;
    overflow: hidden;
    margin-top: -50px;
  }

  .map-search__visual {
    width: 700px !important;
    height: 700px !important;
    transform-origin: 0 0;
    transform: scale(calc(100vw / 420px)) translate(-175px, -160px);
  }

  .map-search__panel {
    width: 96%;
    margin: -7% auto var(--gutter);
    position: relative;
    left: auto;
  }

  .map-search__panel__balloon {
    width: 120px;
    padding: 10px;
    font-size: 13px;
    top: -40px;
  }

  .map-search__panel__inner {
    flex-direction: column;
    padding: 1.6rem;
  }

  .map-search__panel__head {
    margin: 0 0 2rem 0;
  }

  .map-search__tabList,
  .map-search__btnList {
    width: 100%;
    gap: 2%;
  }

  .map-search__panel__btn {
    width: 49%;
    font-size: var(--font-small);
  }

  .map-search__panel__btn.panel-area {
    width: 32%;
    min-width: unset;
    margin-bottom: 1rem;
    padding: .5em;
  }

  .map-search__resultBox {
    flex-direction: column;
  }

  .map-search__result__txt {
    width: 100%;
    margin: 0 auto 1rem;
  }
}